检查Drupal安装前要求配置

hrs 提交于 2019/07/05 - 11:10 , 周五

Drupal与SiteGround服务器完全兼容。以下是Drupal官方网站上列出的服务器要求。

网络服务器

Drupal 8适用于PHP版本为5.5.9或更高版本的任何Web服务器。

我们使用Apache Web服务器,它是Drupal网站最常用的Web服务器。我们还实施了必要的更改和模块,因此Drupal网站可以在我们的服务器上完美运行。我们已启用Apache mod_rewrite扩展并相应地修改了虚拟主机配置。

PHP

Drupal 8需要至少运行和运行PHP 5.5.9,但建议PHP7 +利用速度和缓存改进。SiteGround服务器提供多个PHP版本设置

PHP内存要求可能会有很大差异,具体取决于您网站上使用的模块。所需的最小内存大小为64MB。在SiteGround的服务器上,内存限制设置为768 MB。

必须安装并启用用于连接到所选数据库的PHP扩展。Drupal目前支持的数据库连接器是:mysql(最初的MySQL扩展),mysqli(用于较新MySQL安装的改进连接器)和pgsql(用于PostgreSQL)。所有这些都在SiteGround服务器上启用。

PHP XML扩展(适用于blogapi,drupal和ping模块)。默认情况下,在所有SiteGround服务器上启用此扩展。

图像处理需要用于PHP的图像库(例如GD库)(调整用户图片,图像和图像缓存模块的大小)。ImageMagick也受支持。两者都默认安装在SiteGround服务器上。

数据库服务器

所需的数据库服务器是MySQL 5.5.3 / MariaDB 5.5.20 / Percona Server 5.5.8或更高版本,InnoDB作为主存储引擎。SiteGround的MySQL服务器目前运行在5.6版本上。SiteGround服务器上还安装并支持PostgreSQL和SQLite。

标签

The website encountered an unexpected error. Please try again later.